require 'uri'
require 'net/http'
require 'active_support/core_ext'
require 'action_dispatch'

module AppMonitor
  class EventNotification

    def self.build_exception_hash(exception, request, options = {})
      params = request.params
      {:klass => params[:controller], :method => params[:action], :message => exception.message.inspect,
       :session => request.session.to_hash, :stack_trace => exception.backtrace.join("\n"),
       :params => request.filtered_parameters,
       :url => request.original_url, :ip_address => request.remote_ip, :time => Time.now.to_i.to_s,
       :environment => Rails.env || ''}
    end

    def self.build_rake_event(exception, options)
      rake_called_name = options[:rake_command_line].split(":", 2)
      rake_namespace = rake_called_name.first
      {method: options[:rake_command_line], time: Time.now.to_i.to_s, message: exception.message.inspect, stack_trace:
      exception.backtrace.join("\n"), klass: rake_namespace, environment: Rails.env || ''}
    end

  end

end
